Page MenuHomePhabricator

Add developer personæ
Open, NormalPublic

Description

https://www.mediawiki.org/wiki/Wikimedia_Product_Development/Person%C3%A6 currently only has contributor types, should have developer types as well.

Let's close this task when we have a first set of "best-available" numbers and characteristics for these

Event Timeline

Eloquence raised the priority of this task from to Needs Triage.
Eloquence updated the task description. (Show Details)
Eloquence changed Security from none to None.
Eloquence added a subscriber: Eloquence.
Qgil added a subscriber: Qgil.Oct 16 2014, 9:27 PM
Byfserag triaged this task as Normal priority.Oct 17 2014, 11:19 AM
Byfserag added a subscriber: Byfserag.

For now this will be an early draft, not critical to get this perfect immediately, Quim should be able to help with this once his time frees up from Phab-land.

Jdforrester-WMF renamed this task from Add developer personas to Add developer personae.Oct 19 2014, 11:28 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

For now this will be an early draft, not critical to get this perfect immediately, Quim should be able to help with this once his time frees up from Phab-land.

Other than the standard pair we talk about informally (Wikimedia volunteer and "third party MediaWiki user"), is there much value in going more deeply?

At minimum, I'd add "third party API & content consumer". It might be useful to break down the technical volunteering a bit further (bot writers / labs authors <-> MW developers), but I agree we needn't overdo it. We should identify qualitative and quantitative characteristics of these different groups, though.

Qgil added a comment.Oct 22 2014, 1:08 AM

In terms of personæ, I think it is better to keep all open source contributors behind the same persona if we don't want to get really into the details. So what about this:

  • Wikimedia technical contributor (involved in Wikimedia open source software projects, from MediaWiki core and extensions to bots, gadgets, and templates)
  • MediaWiki 3rd party developer (creates applications and services using the MediaWiki APIs and Wikimedia data)
  • MediaWiki sysadmin (professional or hobbyist administrators of MediaWiki instances)
Jdforrester-WMF closed this task as Resolved.Oct 22 2014, 1:33 AM
Jdforrester-WMF claimed this task.
Eloquence reopened this task as Open.Oct 22 2014, 3:42 AM
Eloquence updated the task description. (Show Details)

Thanks, @Jdforrester-WMF !

I'm fine with the current set -- though my impression is that there is a pretty real barrier right now between the MediaWiki contributors and the remaining Wikimedia technical ecosystem. But I'd like to check that assumption with some data.

We can focus the discussion on the talk page on mediawiki.org now that we have something to work with, but would prefer to keep this task open til we have a rough set of "best available" data filled in (I know we have some of this through korma etc.), then we can track additional research/metrics separately.

Jaredzimmerman-WMF renamed this task from Add developer personae to Add developer personæ.Oct 22 2014, 11:10 PM
Jaredzimmerman-WMF awarded a token.
Jaredzimmerman-WMF rescinded a token.
Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Nov 18 2014, 10:49 PM
Qgil added a subscriber: Wwes.

@Jdforrester-WMF, @Wwes, , Team-Practices, and other experts, should this (unfinished?) work on Personas be integrated in the current product development process documentation in the works?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 18 2015, 10:51 AM

This is not directly related to SPDPP or other process planning, because this is a level more specific than we expect to work. Defining this kind of detail belongs to whomever in WMF and broader development community; TPG may facilitate this but isn't actually tracking and following up at that level of detail.

gpaumier removed a subscriber: gpaumier.Jul 18 2018, 5:57 PM